## qrencode 3.3.1-1maemo1

=== Makefile ===
PACKAGE:=qrencode
VERSION:=3.3.1
SOURCE=qrencode-$(VERSION).tar.gz
URLS=http://fukuchi.org/works/qrencode

include ../Rules.make
