## qrencode 3.1.1-1maemo1

=== debian/changelog ===
qrencode (3.1.1-1maemo1) unstable; urgency=low

  * Initial release to Maemo 5.

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Thu, 25 Mar 2010 14:48:57 +0200

qrencode (3.1.1-1) unstable; urgency=low

  * New upstream release

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 03 Feb 2010 15:12:18 +0900

qrencode (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Conform to 3.8.0.
  (Package): New package, libqrencode3.
  * debian/libqrencode3.{dirs,install}: New files.
  * debian/libqrencode2.{dirs,install}: Removed.
  * debian/{postinst,postrm}: Removed as not used.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 01 Jul 2008 11:53:54 +0900

qrencode (2.0.0-2) unstable; urgency=low

  * debian/control (Build-Depends): Added pkg-config.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 25 Feb 2008 23:22:10 +0900

qrencode (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #411710).

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 18 Feb 2008 17:21:04 +0900
