=== debian/control ===
Source: qrencode
Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: debhelper (>= 5), pkg-config, autotools-dev, libpng12-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://megaui.net/fukuchi/works/qrencode/index.en.html

Package: qrencode
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QR Code encoder into PNG image
 Qrencode is a utility software using libqrencode to encode string data in
 a QR Code and save as a PNG image.

Package: libqrencode3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QR Code encoding library
 Libqrencode is a library for encoding data in a QR Code symbol, a kind of 2D
 symbology that can be scanned by handy terminals such as a mobile phone with
 CCD.  The capacity of QR Code is up to 7000 digits or 4000 characters, and has
 high robustness.
 .
 Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
 Standards) X0510:2004 or ISO/IEC 18004.

Package: libqrencode-dev
Section: libdevel
Architecture: any
Depends: libqrencode3 (= ${binary:Version}), ${misc:Depends}
Description: QR Code encoding library -- development
 Libqrencode is a library for encoding data in a QR Code symbol, a kind of 2D
 symbology that can be scanned by handy terminals such as a mobile phone with
 CCD.  The capacity of QR Code is up to 7000 digits or 4000 characters, and has
 high robustness.
 .
 Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
 Standards) X0510:2004 or ISO/IEC 18004.
