## qrencode 3.3.0

=== debian/changelog ===
qrencode (3.3.0-2) unstable; urgency=low

  * debian/rules: Remove --with quilt.
  * debian/control
    - (Build-Depends): Remove quilt.
  * debian/patches/03_libpthread_handling_fix: Fix to AC_SUBST (was: AC_DEFINE).

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 02 Apr 2012 11:58:38 +0900

qrencode (3.3.0-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/series: Disable 00_config_fix and 01_pkg_config_fix.
  * debian/libqrencode3.symbols: Add a symbols file to catch ABI
    change (Closes: #637347).  Thanks to Felix Geyer.
  * debian/control
    - (Build-Depends): Add quilt.
    - qrencode (Description): Add a description for EPS support.
    - libqrencode3 (Section): Remove.
    - libqrencode3 (Description): Add a line to explain this runtime package.
    - libqrencode-dev (Description): Add a line to explain this dev package.
  * debian/rules: Add --with quilt.
  * debian/patches/02_manual_fix: New.  Distinguish hyphen and minus for roff.
  * debian/patches/03_libpthread_handling_fix: New.  Handle -lpthread.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 02 Apr 2012 10:25:18 +0900

qrencode (3.2.0-2) unstable; urgency=low

  * debian/rules: Add --with autoreconf.
  * debian/source/format: New.
  * debian/patches/00_configure_fix: New.  Fix for configure variable
    HAVE_LIBPTHREAD which affects tests/Makefile.
  * debian/patches/01_pkg_config_fix: New. Fix pkg-config file generation
    (Closes: #666247).  Thanks to Jakob Haufe.
  * debian/control (libqrencode3 Multi-Arch): Add.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 30 Mar 2012 11:58:08 +0900

qrencode (3.2.0-1) unstable; urgency=low

  * New upstream release.
    - Linking libpng has been changed (Closes: #641893).
    - '\0' is supported (Closes: #604882).
  * debian/control (Build-Depends): Change libpng-dev (was: libpng12-dev).
    (Closes: #650601).  Thanks to Nobuhiro Iwamatsu.
  * debian/control (Build-Depends): Require debhelper >= 9.
  * debian/compat: Require 9.
  * debian/dirs, debian/libqrencode3.dirs, debian/libqrencode-dev.dirs: Remove.
  * debian/copyright: Write in the format of copyright-format 1.0.
  * debian/rules: as simple as possible.
    (override_dh_auto_configure): Support --with-tests.
    (override_dh_auto_test): Run tests.
    Thanks to Felix Geyer (Closes: #637344).
  * debian/libqrencode3.install, libqrencode-dev.install: Support Multiarch.
  * debian/control (libqrencode3 Pre-Depends): Add multiarch-support.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 29 Mar 2012 14:34:17 +0900
