=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: qrencode
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
-Build-Depends: debhelper (>= 5), pkg-config, autotools-dev, libpng12-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), pkg-config, autotools-dev, libpng-dev, libsdl-dev, dh-autoreconf
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://megaui.net/fukuchi/works/qrencode/index.en.html
 
@@ -12,11 +12,12 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: QR Code encoder into PNG image
  Qrencode is a utility software using libqrencode to encode string data in
- a QR Code and save as a PNG image.
+ a QR Code and save as a PNG or an EPS image.
 
 Package: libqrencode3
-Section: libs
+Multi-Arch: same
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: QR Code encoding library
  Libqrencode is a library for encoding data in a QR Code symbol, a kind of 2D
@@ -26,6 +27,8 @@
  .
  Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
  Standards) X0510:2004 or ISO/IEC 18004.
+ .
+ This package contains runtime libraries of libqrencode.
 
 Package: libqrencode-dev
 Section: libdevel
@@ -39,3 +42,5 @@
  .
  Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
  Standards) X0510:2004 or ISO/IEC 18004.
+ .
+ This package contains development files (a header, pkg-config settings, etc.)
