## qrencode 3.3.1-1maemo1

=== debian/changelog ===
qrencode (3.3.1-1maemo1) stable; urgency=low

  * New upstream release
  * Bug fixes and new features
  * Experimental Micro QR Code support has been added

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 16 Aug 2012 15:29:00 +0300
