## qrencode 3.4.1

=== debian/changelog ===
qrencode (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules (DH_OPTIONS): Add.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 24 Nov 2012 14:41:04 +0900
