## qrencode 3.4.2

=== debian/changelog ===
qrencode (3.4.2-1) unstable; urgency=low

  * New upstream release.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 09 Jul 2013 07:16:53 +0000
