=== debian/rules ===
#!/usr/bin/make -f
# -*- gmakefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-tests

override_dh_autoreconf:
	mkdir m4
	dh_autoreconf

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	rm -rf m4

override_dh_auto_test:
	dh_auto_test
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd tests && ./test_all.sh
endif
