## qrencode 3.4.3

=== debian/changelog ===
qrencode (3.4.3-1) unstable; urgency=low

  * New upstream release (Closes: 734138).  Thanks to Daniel Baumann
    and Sam Morris.
  * debian/control (Standards-Version): conforms to 3.9.5.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 27 May 2014 13:10:06 +0000
