## qrencode 3.4.4

=== debian/changelog ===
qrencode (3.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Standards-Version): conforms to 3.9.6.
  * debian/copyright: Fixed list of files.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 19 Dec 2015 08:11:22 +0000
