=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Build-Depends: debhelper (>= 9), pkg-config, autotools-dev, libpng-dev, libsdl-dev, dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://megaui.net/fukuchi/works/qrencode/index.en.html
