=== debian/watch ===
version=3
http://megaui.net/fukuchi/works/qrencode/index.en.html qrencode-([.0-9]*)\.tar\.bz2
