=== debian/changelog ===
qrencode (4.0.2-2) unstable; urgency=medium

  [Ondřej Nový]
  * debian/copyright: Use https protocol in Format field.

  [NIIBE Yutaka]
  * debian/copyright: Update information by new release.
  * debian/control (Standards-Version): Conforms 4.4.1.
    (Multi-Arch): Add "same" for libqrencode-dev.
    Add "foreign" for qrencode (Closes: #941739).
  * debian/patches/0001-use-verbose-configure.patch: New.
  * debian/patches/0002-qrenc-string-boundary.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 10 Oct 2019 11:06:36 +0900

qrencode (4.0.2-1) unstable; urgency=medium

  [NIIBE Yutaka]
  * New upstream release (Closes: #900336).
  * debian/rules: Test by test_basic.sh, since the configure test runs
    configure script.
  * Upstream SONAME change.
    - debian/control: Rename to libqrencode4.
    - debian/libqrencode4.install: Rename from debian/libqrencode4.install.
    - debian/libqrencode4.symbols: Rename from debian/libqrencode3.symbols.
  * debian/libqrencode4.symbols: Update.

  [Hideki Yamane]
  * debian/control
    - move Homepage: to new upstream site (Closes: #887144)
    - set Build-Depends: debhelper (>= 11) and drop unnecessary dh-autoreconf
      and autotools-dev
    - add Vcs-*
    - set Standards-Version: 4.1.3
  * debian/rules
    - drop lines related dh-autoreconf sicne it's automatically executed
  * debian/compat
    - set 11
  * debian/watch
    - deal with upstream's change
    - use v4
  * debian/patches
    - drop all files, not used

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 07 Sep 2018 16:33:02 +0900
