=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: qrencode
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
-Build-Depends: debhelper (>= 9), pkg-config, autotools-dev, libpng-dev, libsdl-dev, dh-autoreconf
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11), pkg-config, libpng-dev, libsdl-dev
+Standards-Version: 4.4.1
 Section: libs
-Homepage: http://megaui.net/fukuchi/works/qrencode/index.en.html
+Homepage: https://fukuchi.org/works/qrencode/index.html.en
+Vcs-Git: https://salsa.debian.org/debian/qrencode.git
+Vcs-Browser: https://salsa.debian.org/debian/qrencode
 
 Package: qrencode
+Multi-Arch: foreign
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -14,7 +17,7 @@
  Qrencode is a utility software using libqrencode to encode string data in
  a QR Code and save as a PNG or an EPS image.
 
-Package: libqrencode3
+Package: libqrencode4
 Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -31,9 +34,10 @@
  This package contains runtime libraries of libqrencode.
 
 Package: libqrencode-dev
+Multi-Arch: same
 Section: libdevel
 Architecture: any
-Depends: libqrencode3 (= ${binary:Version}), ${misc:Depends}
+Depends: libqrencode4 (= ${binary:Version}), ${misc:Depends}
 Description: QR Code encoding library -- development
  Libqrencode is a library for encoding data in a QR Code symbol, a kind of 2D
  symbology that can be scanned by handy terminals such as a mobile phone with
