=== debian/changelog ===
qrencode (4.1.1-2) unstable; urgency=medium

  [Niels Thykie]
  * debian/control (Rules-Requires-Root): Don't require root.

  [NIIBE Yutaka]
  * debian/patches/0003-use-tests-cmake.patch: New.
  * debian/patches/series: Update.
  * debian/tests/control: New.
  * debian/tests/build-tests: New.
  * debian/tests/run-tests: New.
  * debian/compat: Remove.
  * debian/control (Build-Depends): Require debhelper-compat = 13.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 29 Nov 2024 16:33:23 +0900

qrencode (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0002-qrenc-string-boundary.patch: Update.
  * debian/libqrencode4.symbols: Update.
    (Build-Depends-Package): Add.
  * debian/compat: Upgrade to 13.
  * debian/control (Standards-Version): Conforms to 4.5.1.
    (Build-Depends): Require newer debhelper, change to libsdl2-dev.
    (Rules-Requires-Root): Add.
  * debian/not-installed: New.
  * debian/libqrencode-dev.install: Update.
  * debian/libqrencode4.install: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 22 Dec 2020 14:31:03 +0900
