=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: qrencode
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
-Build-Depends: debhelper (>= 11), pkg-config, libpng-dev, libsdl-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 13~), pkgconf, libpng-dev, libsdl2-dev, debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://fukuchi.org/works/qrencode/index.html.en
 Vcs-Git: https://salsa.debian.org/debian/qrencode.git
 Vcs-Browser: https://salsa.debian.org/debian/qrencode
+Rules-Requires-Root: no
 
 Package: qrencode
 Multi-Arch: foreign
