=== debian/tests/control ===
Tests: build-tests, run-tests
Depends: build-essential, @, cmake, libpng-dev
Restrictions: allow-stderr
