=== debian/watch ===
version=4
https://fukuchi.org/works/@PACKAGE@/index.html.en @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
